﻿@using Microsoft.AspNet.Identity
@if (Request.IsAuthenticated)
{
    using (Html.BeginForm("LogOut", "Account", new { area = "" },  FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
    {
    @Html.AntiForgeryToken()

<ul class="nav navbar-nav navbar-right">
    <li>
        @Html.ActionLink("Hello " + User.Identity.GetUserName() + "!", "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage" })
    </li>
    @if(this.User.IsInRole("Admin"))
    {
        <li>@Html.ActionLink("Admin Panel", "Index", "Product", new { area = "Admin" }, new AjaxOptions { HttpMethod = "POST" })</li>
    }    
    <li><a href="javascript:document.getElementById('logoutForm').submit()">Logout</a></li>
</ul>
    }
}
else
{
<ul class="nav navbar-nav navbar-right">
    <li>@Html.ActionLink("Register", "Register", "Account", new { area = "Admin" }, htmlAttributes: new { id = "registerLink" })</li>
    <li>@Html.ActionLink("Log in", "Login", "Account", new { area = "Admin" }, htmlAttributes: new { id = "loginLink" })</li>
</ul>
}
